Run Smoke Tests
curl --request GET \
--url https://api.example.com/api/internal/smokeimport requests
url = "https://api.example.com/api/internal/smoke"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/internal/smoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"total_checks": 123,
"passed": 123,
"failed": 123,
"skipped": false,
"skip_reason": "<string>",
"results": [
{
"symbol": "<string>",
"check": "<string>",
"passed": true,
"expected": "<string>",
"actual": "<string>",
"latency_ms": 123
}
],
"alerts_sent": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}smoke-tests
Run Smoke Tests
Run behavioral smoke tests against live API endpoints.
GET
/
api
/
internal
/
smoke
Run Smoke Tests
Query Parameters
Run checks for a single symbol (debug mode)
Pattern:
^[A-Z]{1,5}$Response
Successful Response
Aggregate result of a full smoke test run.
Show child attributes
Show child attributes